### Python语言支持的多种不同的编程运行方式

Python 是一种**解释性编程语言**，Python 解释器在程序执行过程中，对代码逐行进行编译、解释，然后执行。安装好 Python 环境后，可以支持多种不同的编程运行方式，包括`交互式编程和脚本式编程`等。

**1. Python 交互式编程模式**

Python 解释器提供了一种交互环境，进行交互式编程。在交互环境下，开发者可以直接编写 Python 代码并执行。安装好 Python 环境之后，在命令行模式下，执行 Python，即可进入 Python 交互式环境。如下图所示：

![交互式编程模式](https://codechina.csdn.net/m0_47112509/python-junior-course-config/-/raw/master/images/01_001.png)

在图1中可以看到，在命令行窗口最后一行，有 Python 命令提示符>>>。在该提示符后面输入 Python 代码，敲回车键，就可以立即执行代码。

**2. Python 脚本式编程模式**

大型 Python 程序会涉及成千上万行代码和多个代码文件，很难直接在命令行交互模式下，进行高效的编程开发。针对这一类程序，开发者可以编写相应的 Python 脚本，并保存成相应的代码源文件（Python 代码通常以py作为文件类型）。然后通过脚本参数，调用解释器开始执行脚本，直到脚本执行完毕。当脚本执行完成后，解释器不再有效。

_|| 接下来，我们学习第一个Python内置函数——**Print函数**，并通过该函数，完成我们的第一个编程任务。 ||_
