#### Python内置函数——print(output_obj)

**Python 内置(built-in)函数**是一类随着 Python 解释器的运行，会自动创建的函数，通常是一些使用比较频繁的功能或者是元操作。对于这一类函数，用户可以在自己的程序中或者在交互编程环境中，不进行定义就直接使用。

**print函数**是其中最常用的内置函数之一，其基本功能是打印输出一个对象。print函数的基本语法： `print(output_obj)`

其中：`print`->Python 打印输出的关键字； `output_obj`->待打印输出的对象。

例如，我们要打印输出 **Hello world** 这个字符串，则相应的语句为： `print('Hello world')`

具体执行结果，会在终端打印，输出字符串：`Hello world`

#### 编程要求

本次测试任务是编写一段代码，实现如下功能：

- 利用print函数输出字符串 **Hello Python!** ；



#### 在线编辑代码说明

如您准备好进行本次测试任务，请点击 [编辑代码]({{repo_url}}/-/edit/ch101/example101.py)，编辑完成后单击 **Commit changes** 即可。

**||请按照代码中注释的缩进格式进行代码编辑，错误的缩进格式可能会导致代码失败，后续代码编辑将不再提示，请注意哦~||**
