#### 字符串查找

Python 提供了内置的字符串查找方法**find()**，利用该方法可以在一个较长的字符串中查找子字符串。如果该字符串中，有一个或者多个子字符串，则该方法返回第一个子串所在位置的最左端索引，若没有找到符合条件的子串，则返回-1。 

<details><summary> 点击查看find()方法的基本使用语法</summary>
<hr>

```python
source_string.find(sub_string)
```
其中：

- source_string：源字符串；

- sub_string：待查的目标子字符串；

- find：字符串查找方法的语法关键字。

</details>

<details><summary> 点击查看实例：在一个字符串中查找两个单词的位置</summary>
<hr>

```python
# coding=utf-8
# 创建一个字符串
source_string = 'The past is gone and static'
# 查看"past"在source_string字符串中的位置
print(source_string.find('past'))
# 查看"love"在source_string字符串中的位置
print(source_string.find('love'))
```
输出结果：

```python
4
-1
```


</details>

