#### 字符串分割

Python 提供了 **split()** 方法实现字符串分割。该方法根据提供的分隔符，将一个字符串分割为字符列表，如果不提供分隔符，则程序会默认把空格（制表、换行等）作为分隔符。

<details><summary>点击查看split()方法的语法</summary>
<hr>

```python
source_string.split(separator)
```
其中：

- source_string：待处理的源字符串；

- separator：分隔符；

- split：字符串分割方法的关键词。

</details>

<details><summary>点击查看示例：用+、/还有空格作为分隔符，分割字符串</summary>
<hr>

```python
# coding = utf-8
# 待处理字符串source_string
source_string = '1+2+3+4+5'
# 利用split()方法，按照`+`和`/`对source_string字符串进行分割
print(source_string.split('+'))
print(source_string.split('/'))
```
输出结果：
```python
['1', '2', '3', '4', '5']
['1+2+3+4+5']
```


</details>



