#### 列表的排序

Python 针对列表数据结构内置提供了sort()方法，实现对列表元素的排序功能。

<details><summary> 点击查看基本语法</summary>
<hr>

```python
source_list.sort(reverse=True)
```
其中：

- source_list：待排序的列表；

- sort：列表排序函数的语法关键词；

- reverse：sort函数的可选参数。如果设置其值为True，则进行反向从大到小排序，如果设置为False或者不填写该参数，则默认进行正向从小到大排序。

</details>

<details><summary> 点击查看示例：给定一个客人列表guests，我们对其按照字母排序</summary>
<hr>

```python

guests = ['zhang san','li si','wang wu','sun qi','qian ba']
guests.sort()
print(guests)
guests.sort(reverse=True)
print(guests)
```
程序输出结果：
```python
['li si','qian ba','sun qi','wang wu','zhang san']
['zhang san','wang wu','sun qi','qian ba','li si']
```
> 注意：sort函数会直接作用于待排序的列表并修改其排序。

</details>

