#### 对数字列表进行简单的统计运算

Python 中有一些专门处理数字列表简单的统计运算的函数，利用这些函数可以轻松找到数字列表的最小值、最大值及进行总和等一系列统计运算。

<details><summary>点击查看基本语法</summary>
<hr>

```python
min_value = min(data_list)
max_value = max(data_list)
sum_value = sum(data_list)
```
其中：

- min：数字列表求最小值的语法关键字；

- max：数字列表求最大值的语法关键字；

- sum：数字列表求和的语法关键字。


</details>

<details><summary>点击查看使用示例</summary>
<hr>

```python
numbers = [2,4,11,1,21,32,5,8]
print('The min number is',min(numbers))
print('The max number is',max(numbers))
print('The sum is',sum(numbers))
```
输出结果：
```python
The min number is 1
The max number is 32
The sum is 84
```


</details>



