#### 字符串类型

字符串或串(String)是由数字、字母、下划线组成的一串字符，多数情况下'(单引号)，""(双引号)进行定义。例如：

```python
 s1 = "helloworld" 
 s2 = 'helloworld'

```  
也有用三引号（连续三个单引号或三个双引号）进行定义的情况，但基础课程中我们就不详细介绍了，详情可以参考网络上的其他教程。

值得注意的是，字符串内容中包含双引号字符或者单引号字符时，我们的规则如下：

1. 单引号定义的字符串中可以包含双引号

2. 双引号定义的字符串中可以包含单引号

3. 如若单引号定义的字符串中需要包含单引号，或者双引号定义的字符串中需要包含双引号，则需要进行转义，例如：
```python

 s1 = 'I\'m a boy'
 s2 = "I'm a boy"
 s3 = 'I'm a boy' 
#s1和s2正确，s3错误
```  

如果你要实现从字符串中获取一段子字符串的话，可以使用 [头下标:尾下标] 来截取相应的字符串，其中下标是从 0 开始算起，可以是正数或负数，下标可以为空表示取到头或尾。

[头下标:尾下标] 获取的子字符串包含头下标的字符，但不包含尾下标的字符。

<details><summary> 点击查看获取子字符串的示例</summary>
<hr>

```python
 >>> s = 'abcdef'
 >>>s[0]
 a
 >>>s[1]
 b
 >>> s[1:5]
'bcde'
```

</details>







