#### 字符串长度获取

Python 提供了len()函数来计算，并返回字符串的长度，即字符串中单个元素的个数。其基本语法如下：

```python
length = len(target_string)
```

其中：

- target_string: 目标字符串变量；

- length: 保存字符串长度的变量；

- len: 获取字符串长度的语法关键词。

下面给出了具体的使用示例：

```python
# coding=utf-8
# 创建一个字符串变量，获取其长度并打印出来
color = 'It is red'
length = len(color)
print (length)
# 直接在len函数中引入字符串内容获得其长度，然后打印出来
print(len('This is a circle!'))
```
输出结果：

```python
9
17
```
> 注意： 从输出结果可以看到，空格也占一个字符元素的位置。
