## While 循环与 break 语句

`while`循环和`break`的结构如下图所示：

![顺序结构示意图](https://codechina.csdn.net/m0_47112509/python-junior-course-config/-/raw/master/images/03_003.png)

**while语句**

while语句的基本形式为：

```python
while 判断条件1:
循环语句
当判断条件1为true时,执行循环语句,直到判断条件1为假
```
<details><summary> while语句举例 </summary>
<hr>

```python
count = 0
while(count <= 10):
    print("现在计数为:",count)
    count += 1
```

</details>

**break语句**

break语句的基本形式为:

```python
while 判断条件1:
循环语句
判断条件2:
break
```

当判断条件1为true时执行循环语句。若此时判断条件2为true，执行break跳出while循环，若判断条件2一直为false，则执行while循环，一直到判断条件1为false。

<details><summary> break语句举例 </summary>
<hr>

```python
count = 0
while(count <= 10):
    print("现在计数为:",count)
    count += 1
    if(count > 5):
        break
```

</details>

