## 安装

第三方库和Python的标准库不同，它需要我们手动去安装，不安装是没法使用的。这里简要说一下如何安装Python第三方库。通常一些书籍或网络博客中，推荐使用pip命令去自动下载安装第三方库，但是前提是需要我们将**pip配置到环境变量**中。这样去使用存在一些问题，当我们电脑装了多个Python版本时，极容易造成pip环境混乱。我在这里介绍一个小技巧，不需要去配置pip到环境变量中，且不会造成环境混乱。当我们需要使用pip命令时，在它前面加上python -m去使用，如下

`python -m pip install 第三方库名称`

好了，今天我们要使用的第三方库叫做**openpyxl**，大家一定要记住这个库名字哦，按照我们上面学习的公式，**打开WIndows上面的cmd命令行**，输入如下命令安装

`python -m pip install openpyxl`

如果大家的网络不好，就需要耐心等待，安装完成之后，命令行中会看到如下内容

`Successfully installed et-xmlfile-1.0.1 jdcal-1.4 openpyxl-2.6.0`
