#### 字符串的拼接

Python 中使用+来合并两个字符串，这种合并字符串的方法叫做拼接。其基本语法如下：


```python
result_string = source_string1 + source_string2

```



其中：

- source_string1：待合并的第一个字符串；

- source_string2：待合并的第二个字符串；

- result_string：合并后的字符串。

> 注意：如果需要，在两个字符串之间可以增加相应的空格，具体见下面的例子。例如，将姓氏和名字拼接成全名：

```python
# coding=utf-8
# 将姓氏和名字分别保存在两个变量中
first_name = 'Zhang'
last_name = 'san'
# 将姓氏和名字拼接，将结果存储在full_name变量中
full_name = first_name + " " + last_name
print(full_name)
```
> 输出结果：


```python
Zhang san
```

