## 顺序结构

程序最基本的结构就是顺序结构，顺序结构就是程序按照语句顺序，从上到下依次执行各条语句。顺序结构如下图所示：

![顺序结构示意图](https://codechina.csdn.net/m0_47112509/python-junior-course-config/-/raw/master/images/03_001.png)

<details><summary> 顺序结构示例 </summary>
<hr>

假设存在`a、b、c`三个整数，如果按照以下顺序执行：
```python
c = a + b
b = c - a
a = b + c
```

与按照以下顺序：

```python
b = c - a  
a = b + c  
c = a + b  
```

得出的a、b、c的结果是不同的。

</details>


## 交换数值

假设存在整数`a = 10、b = 20`，交换`a、b`数值的语句如下：

```python
tmp = a  
a = b  
b = tmp 
```
