## 选择结构

程序的第二大结构就是选择结构。在此结构中，程序通过对一个代码块或者几个代码块的**判断**来决定接下来运行哪一个代码块。选择结构示意图如下：

![选择结构示意图](https://codechina.csdn.net/m0_47112509/python-junior-course-config/-/raw/master/images/03_002.png)

<details><summary> 控制结构语句</summary>
<hr>

**if-else语句**

在 Python 中，`if-else`语句用于控制程序执行，基本形式为：

```python
if 判断语句1:
    step1
else:
    step2
```

当判断语句1为真时，执行step1，否则执行step2。例如：

```python
name = 'choose'
#判断变量name是否为'choose'
if name == 'choose'
    print("条件成立")
else
    print("条件不成立")
```

**elif语句**

当判断条件有多个时，则用elif语句，基本形式为：

```python
if 判断语句1:
   step1  
elif 判断语句2:  
   step2  
elif 判断语句3:  
   step3  
......
else:
   step
```

当判断语句1为真时，执行step1，当判断语句1为假、判断语句2为真时执行step2，……，最后判断语句都为假时执行step。例如:

```python
userId = 43
#判断员工号
if userId == 10:
    print("这是10号员工")
elif userId == 22:
    print("这是22号员工")
elif userId == 18:
    print("这是18号员工")
else:
    print("员工ID为:",userId)
```

</details>

如果您想了解更多选择结构的相关知识，请参考：[美] Katie Cunningham 著《Python 入门经典》第三章。
