## for 循环与 continue 语句

`for`循环和`continue`结构如下图所示：

![顺序结构示意图](https://codechina.csdn.net/m0_47112509/python-junior-course-config/-/raw/master/images/03_004.png)

**for语句**

依次遍历序列中的成员，执行循环语句。for语句的基本形式为：

```python
for iteration_var in sequence:
    循环语句
```



<details><summary> for语句举例 </summary>
<hr>


```python
list = ['python','java','c','c++']
for book in list:
    print("当前书籍为:",book)
```

</details>

**continue语句**

当遍历序列时，如果判断语句1为真，则执行continue语句，跳出当前循环，直接进入下一次循环。continue语句的基本形式为：

```python
for iteration_var in sequence:
    循环语句
    if 判断语句1:
    continue
```

<details><summary> for语句举例 </summary>
<hr>

```python
list = ['python','java','c','c++']
count = 0
for book in list:
    count += 1
    if count == 3:
        continue
    print("当前书籍为:",book)
```

</details>

