## 项目训练——用python操作excel文档

这一节我们学习如何使用Python去操作Excel文档。如果大家有人不知道Excel的话，那么建议先学一学office办公基础。这里想要操作Excel，必须安装一个Python第三方库。

第三方库我们已经在**第四章函数与模块**中提到过，在这里我们再简要解释一下，第三方库是非Python官方提供的库，也就是民间好心人开发出来的开源库，供大家免费使用。

那这里肯定又有人会疑问，库是什么呢？我们前面已经知道了Python模块，其实库就是**一个或多个相关连的Python模块**合在一起，这样说很容易理解吧。通常Python中的所谓库，其实就是一个文件夹，这个文件夹中放了几个Python模块，而一个Python源代码文件就是一个模块。

在这一章我们将**用一个项目**，带你们走进python的开源王国，并且能让你们学会运用python简单地处理excel文件。整章内容将分成以下**三个部分**：

- 安装

- 写入excel

- 读取excel
