## 读入excel

我们上面已经学会了写，现在来学习一下怎么去读取Excel文档。

我们一般通过下述代码进行excel文件的读取。

```python
import openpyxl as exl
# 根据文件名打开一个Excel工作簿，并返回工作簿对象
wb = exl.load_workbook('test.xlsx')
# 根据sheet表的名字，获取到指定的sheet表
sheet = wb['一班']
# sheet.rows返回当前sheet表的所有行，我们将其转换为一个列表方便操作
# 列表中的每一个元素就是一行数据
all_row = list(sheet.rows)
# 取第二行第一列单元格中的值
print(all_row[1][0].value)
```

输出结果：`1201901`

|| 接下来我们通过一个实训操作来学习如何用代码来读入excel ||
